From fbdfde829513ee74b2512211871169a1aa18aa98 Mon Sep 17 00:00:00 2001
From: Jie Tang <tangjie18@huawei.com>
Date: Wed, 20 May 2020 15:44:37 +0800
Subject: [PATCH 23/28] qemu_vm: Set dies=1 while dies=0.

The value of dies must greater or equal to 1.

Signed-off-by: Jie Tang <tangjie18@huawei.com>
---
 virttest/qemu_vm.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/virttest/qemu_vm.py b/virttest/qemu_vm.py
index 0a73bcd8..0662ba3b 100644
--- a/virttest/qemu_vm.py
+++ b/virttest/qemu_vm.py
@@ -1542,7 +1542,7 @@ class VM(virt_vm.BaseVM):
         vcpu_threads = params.get_numeric("vcpu_threads")
         vcpu_dies = params.get("vcpu_dies", 0)
         enable_dies = vcpu_dies != "INVALID" and Flags.SMP_DIES in devices.caps
-        if not enable_dies:
+        if not enable_dies or vcpu_dies == 0:
             # Set dies=1 when computing missing values
             vcpu_dies = 1
         # PC target support SMP 'dies' parameter since qemu 4.1
-- 
2.23.0

